=== debian/control ===
Source: ros-jazzy-swri-geometry-util
Section: misc
Priority: optional
Maintainer: Southwest Research Institute <swri-robotics@swri.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgeos-dev, pkg-config, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-cv-bridge, ros-jazzy-rclcpp, ros-jazzy-tf2, ros-jazzy-ros-workspace
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-jazzy-swri-geometry-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgeos-dev, ros-jazzy-cv-bridge, ros-jazzy-rclcpp, ros-jazzy-tf2, ros-jazzy-ros-workspace
Description: Commonly used geometry routines, implemented in a ROS friendly package.
